Page MenuHomePhabricator

Internet Explorer (MSIE) video setup experience is very confusing
Closed, ResolvedPublic1 Story Points

Description

The current experience clicking on a Wikimedia video in IE is very poor; you just get a direct link to a .webm file which by default won't play.

There's a vaguely worded link about support which, if you carefully read the linked page, can direct you to the Google WebM for IE plugin download page -- which makes video "just work" once installed -- but it's really not easy to find.

Ideally, clicking on a WebM-mode video playback should take you directly to https://tools.google.com/dlpage/webmmf/

[Deploying ogv.js (bug 61823) should also help by making default-size playback dependent only on standard JS and Flash audio, but we'll still need the IE WebM plugin to support HD playback.]

Might implement this in TimedMediaHandler something like the iOS VLC App mode -- enable only when needed, claim WebM support, but link out to the plugin download page. Then when coming back, reload and the page should pick up the plugin 'natively'.


Version: unspecified
Severity: normal

Details

Reference
bz73348

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:53 AM
bzimport added a project: TimedMediaHandler.
bzimport set Reference to bz73348.
bzimport added a subscriber: Unknown Object (MLST).
brion created this task.Nov 13 2014, 5:59 AM

Change 172948 had a related patch set uploaded by Brion VIBBER:
User-friendly prompt to install WebM components for Internet Explorer

https://gerrit.wikimedia.org/r/172948

Gilles triaged this task as Normal priority.Nov 24 2014, 1:23 PM
Gilles added a subscriber: Gilles.

Change 172948 had a related patch set uploaded (by Brion VIBBER):
User-friendly prompt to install WebM components for Internet Explorer

https://gerrit.wikimedia.org/r/172948

Patch-For-Review

Change 172948 merged by jenkins-bot:
User-friendly prompt to install WebM components for Internet Explorer

https://gerrit.wikimedia.org/r/172948

Gilles assigned this task to brion.Mar 6 2015, 9:47 AM
Gilles moved this task from Backlog to Ready for testing on the Multimedia-Sprint-2015-03-04 board.
Gilles set Security to None.
Gilles edited a custom field.
Gilles closed this task as Resolved.Mar 11 2015, 4:14 PM